Subject: Re: bug#25106: 24.5; easy-menu doc strings

From: Noam Postavsky <[email-masked]>
Date: Mon, 29 Jul 2019 10:51:11 -0400

Drew Adams <[email-masked]> writes:

> The question raised by the report is how to know
> what form the returned keymap has.
>
>> It says nothing about the form of the keymap.
>
> Exactly.  That's the problem reported.
>
>> So there's no mystery to solve here.

>> it just disagreed with you.
>
> Disagreement about whether the problem should be
> addressed is normal - a judgment call.  People
> judge things differently.  Nothing wrong with that.

>From what I can tell, Lars just requested a clarification of the
original report which failed to specify what functions were being talked
about.  The disagreement is that Eli thinks specifying the particular
form of keymap being returned is not needed (Lars never said anything
about that either way).

By the way, I also think documenting the particular form of keymap
returned is not needed.

> As for revisiting a closed report: maybe take a
> look at #25195, which was also followed up on
> after being closed as wont-fix.  The subsequent
> discussion apparently caused Lars to change his
> mind.

I don't think Lars changed his mind about that exactly, he just misread
the original report.